﻿@model ViewModels.Trade.DealDetailViewModel

@{
    ViewBag.Title = "Make a trade";

    const int PayTimeInMinute = 30;
}

<h2 class="page-head">@ViewBag.Title</h2>

<h4 class="deal-number">Deal #@Request["rowGuid"] (status: <span id="dealStatus"></span>)</h4>


@*------ msg ------*@
<div id="mainHelpMsg" class="helpingMessage"></div>

<div class="row">
    <div class="col-md-6">
        <div class="panel panel-primary">
            <div class="panel-heading">What should you do ?</div>
            <div class="panel-body">

                @*------ msg ------*@
                <div id="bodyHelpMsg"></div>

            </div>
            <div class="panel-footer">
                
                @*------ msg ------*@
                <div id="footerBtns" class="inline"></div>
                
                &nbsp;&nbsp;&nbsp;&nbsp;<img id="loadingAlertImg" src="/Content/images/progress.gif" class="not-display img-loading" />
            </div>
        </div>
    </div>

    @*---- chat ----*@
    <div class="col-md-6">
        <div class="panel panel-success">
            <div class="panel-heading">Chat</div>
            <div class="panel-body padd-zero">
                <div id="chatArea">
                    <p>no message ....</p>
                </div>
            </div>
            <div class="panel-footer">
                <div id="chatForm" class="row not-display">
                    <div>
                        <div class="col-sm-8">
                        <input type="text" id="chatMessage" placeholder="Write your message here ..." class="form-control chat-message" />
                    </div>
                    <div class="col-sm-2">
                        <input type="button" id="sendChatMessage" class="btn btn-success" value="Send" />
                    </div>
                    </div>
                    <div class="col-sm-2">
                        <img id="loadingImg" src="~/Content/images/progress.gif" class="not-display img-loading" />
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>




@section scripts{
    <script>
        var dealGuid = '@Request["rowGuid"]';
        var currentLang = '@ViewContext.RouteData.Values["lang"]';
    </script>
    @Scripts.Render("~/theme/js/deal")
}